/*******************************************************************************
 * Copyright (c) 2004, 2005 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Mar 22, 2005
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: ClearObjectBenchAction.java,v 1.1 2006/01/23 16:07:15 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.actions;

import java.net.MalformedURLException;
import java.net.URL;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.dialogs.MessageDialogWithToggle;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.window.Window;

import edu.wpi.ebob.ObjBenchPlugin;
import edu.wpi.ebob.preferences.OBPreferencePage;

/**
 * @author Liam Morley
 *  
 */
public class ClearObjectBenchAction extends Action {
    private static ImageDescriptor image;
    static {
        URL url = null;
        try {
            url = new URL(
                    ObjBenchPlugin.getDefault().getBundle().getEntry("/"), //$NON-NLS-1$
                    "icons/objbench_remall.gif"); //$NON-NLS-1$
        } catch (MalformedURLException mue) {
        }
        image = ImageDescriptor.createFromURL(url);
    }

    public ClearObjectBenchAction() {
        super(
                ObjBenchPlugin.getResourceString("ClearObjectBenchAction.text"), image); //$NON-NLS-1$
        setToolTipText(ObjBenchPlugin
                .getResourceString("ClearObjectBenchAction.toolTipText")); //$NON-NLS-1$
    }

    /**
     * @see org.eclipse.jface.action.IAction#run()
     */
    public void run() {
        // check for removal confirmation, if that pref is set
        IPreferenceStore store = ObjBenchPlugin.getDefault()
                .getPreferenceStore();
        if (store.getBoolean(OBPreferencePage.P_CONFIRM_INITIALIZE))
            if (MessageDialogWithToggle
                    .openOkCancelConfirm(
                            null,
                            ObjBenchPlugin.getResourceString("Dialog.title"), //$NON-NLS-1$
                            ObjBenchPlugin
                                    .getResourceString("ClearObjectBenchAction.areYouSure"), //$NON-NLS-1$
                            ObjBenchPlugin
                                    .getResourceString("ClearObjectBenchAction.rememberDecision"), //$NON-NLS-1$
                            false, store, OBPreferencePage.P_CONFIRM_INITIALIZE)
                    .getReturnCode() == Window.CANCEL)
                return;

        ObjBenchPlugin objBenchPlugin = ObjBenchPlugin.getDefault();
        objBenchPlugin.getBench().removeAll();
        objBenchPlugin.getClassManager().disassociateProject();
    }
}