/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Dec 31, 2004
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: InspectInstanceAction.java,v 1.1 2006/01/23 16:07:15 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.ui.PlatformUI;

import edu.wpi.ebob.ObjBenchPlugin;
import edu.wpi.ebob.internal.gui.Instance;

/**
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public class InspectInstanceAction extends Action {
    private Instance instance;

    /**
     * @param instance
     */
    public InspectInstanceAction(Instance instance) {
        super(ObjBenchPlugin.getResourceString("Instance.inspectMenuItem"), //$NON-NLS-1$
                PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(
                        org.eclipse.ui.ISharedImages.IMG_OBJS_INFO_TSK));
        this.instance = instance;
    }

    /**
     * @see org.eclipse.jface.action.IAction#run()
     */
    public void run() {
        instance.inspect();
    }
}