/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Jan 11, 2005
 *
 * Contributors:
 *    Justin Braga - initial API and implementation
 *    Liam Morley - changed implementation to do type checking and use generic
 * 					TypeStatus class
 * 
 * $Id: ValidClassActionFilter.java,v 1.1 2006/01/23 16:07:15 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.actions;

import org.eclipse.jdt.core.ICompilationUnit;
import org.eclipse.jdt.core.IType;
import org.eclipse.ui.IActionFilter;

import edu.wpi.ebob.internal.TypeStatus;

/**
 * An Action filter that determines whether to display the Object Bench Menu
 * 
 * @author <a href="mailto:trevelyan2001@users.sourceforge.net">Justin Braga
 *         </a>
 */
public class ValidClassActionFilter implements IActionFilter {

    /**
     * @see org.eclipse.ui.IActionFilter#testAttribute(java.lang.Object,
     *      java.lang.String, java.lang.String)
     */
    public boolean testAttribute(Object target, String name, String value) {
        if (name.equals("ValidClassActionFilter") //$NON-NLS-1$
                && value.equals("isValidClass")) { //$NON-NLS-1$
            if (target instanceof IType)
                return TypeStatus.getStatus((IType) target).isOK();
            else if (target instanceof ICompilationUnit)
                return TypeStatus.getStatus((ICompilationUnit) target).isOK();
            else
                return false;
        }
        return false;
    }
}