/*******************************************************************************
 * Copyright (c) 2005 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Mar 15, 2005
 *
 * Contributors:
 *    Justin Braga - initial API and implementation
 * 
 * $Id: ObjectTreeViewer.java,v 1.1 2006/01/23 16:06:36 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.internal.gui.utils;

import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.DrillDownAdapter;

import edu.wpi.ebob.internal.inspect.InstanceContentProvider;
import edu.wpi.ebob.internal.inspect.InstanceLabelProvider;

/**
 * @author <a href="mailto:trevelyan2001@users.sourceforge.net">Justin Braga</a>
 *
 */
public class ObjectTreeViewer {

    /** a reference to the parent composite. */
    private Composite parent;

    /** the viewer for the view. */
    private TreeViewer treeViewer;
    
    private DrillDownAdapter drillDownAdapter;
    
	public ObjectTreeViewer(Composite parent) {
		this.parent = parent;
		createTreeViewer();
	}
    
	/**
	 * 
	 */
	private void createTreeViewer() {
        treeViewer = new TreeViewer(parent, SWT.SINGLE | SWT.BORDER);
        treeViewer.setContentProvider(new InstanceContentProvider());
        treeViewer.setLabelProvider(new InstanceLabelProvider());
        drillDownAdapter = new DrillDownAdapter(treeViewer);
	}

	/**
	 * @return Returns the treeViewer.
	 */
	public TreeViewer getTreeViewer() {
		return treeViewer;
	}
	
	/**
	 * @return Returns the drillDownAdapter.
	 */
	public DrillDownAdapter getDrillDownAdapter() {
		return drillDownAdapter;
	}
}
