/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Dec 26, 2004
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: ModifiableNode.java,v 1.1 2006/01/23 16:05:49 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.internal.inspect;

import edu.wpi.ebob.model.cm.IObject;

/**
 * An interface that potentially modifiable objects can implement.
 * 
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public interface ModifiableNode extends Node {
    /** @return <code>true</code> if and only if this object can be modified. */
    public boolean isModifiable();
    public void setValue(IObject newValue);
}