/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Dec 19, 2004
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: RootNode.java,v 1.1 2006/01/23 16:05:49 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.internal.inspect;

import edu.wpi.ebob.internal.gui.Instance;
import edu.wpi.ebob.model.cm.IClass;
import edu.wpi.ebob.model.cm.IObject;

/**
 * Represents the very top node in the table tree viewer in
 * {@link edu.wpi.ebob.views.PropertiesView}.
 * 
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public class RootNode extends AbstractNode {
	
    /** adds an {@link InstanceNode}as a child of this node. */
    public RootNode(Instance instance) {
        addChild(new InstanceNode(instance));
    }
    
    /** adds a {@link ReturnValueNode} as a child of this node. 
     * @param result*/
    public RootNode(IClass type, IObject result) {
    	addChild(new ReturnValueNode(type, result));
    }

    /**
     * does nothing.
     * 
     * @return <code>null</code>.
     * @see Node#getName()
     */
    public String getName() {
        return null;
    }

    /**
     * does nothing.
     * 
     * @return <code>null</code>.
     * @see Node#getValue()
     */
    public IObject getValue() {
        return null;
    }

    /**
     * @return <code>null</code>
     * @see Node#getType()
     */
    public IClass getType() {
        return null;
    }
}