/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Feb 18, 2005
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: JEMMultiplicationOperation.java,v 1.1 2006/01/23 16:06:39 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.internal.jem.operations;

import edu.wpi.ebob.model.cm.RemoteException;
import edu.wpi.ebob.model.cm.IClassManager;
import edu.wpi.ebob.model.cm.IObject;
import edu.wpi.ebob.model.cm.IOperation;

/**
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public final class JEMMultiplicationOperation extends JEMAbstractInfixOperation implements IOperation {

    /**
     * This is the same as <code>args[0] * args[1]</code>. There must only be
     * two arguments.
     * @throws RemoteException
     * @see IOperation#performOperation(IClassManager, IObject[])
     */
    public IObject performOperation(IClassManager cm, IObject[] args)
            throws RemoteException {
        return performOperation(cm, args, STAR);
    }
}