/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Dec 8, 2004
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 	  Justin Braga - Replaced all references of Argument with new Parameter
 * 	  Justin Braga - Using simple class names in labels
 *	  Justin Braga - Utilized toString logic from IClass 
 *
 * $Id: ArgsLabelProvider.java,v 1.1 2006/01/23 16:07:58 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.internal.wizards;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import edu.wpi.ebob.ObjBenchLogger;
import edu.wpi.ebob.ObjBenchPlugin;
import edu.wpi.ebob.model.Parameter;

/**
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public class ArgsLabelProvider extends LabelProvider implements
        ITableLabelProvider {
    /**
     * @see ITableLabelProvider#getColumnImage(Object, int)
     */
    public Image getColumnImage(Object element, int columnIndex) {
        return null;
    }

    /**
     * @see ITableLabelProvider#getColumnText(Object, int)
     */
    public String getColumnText(Object element, int columnIndex) {
        Parameter arg = (Parameter) element;
        switch (columnIndex) {
        case 0: // TABLE_COL_TYPE
            return arg.getReturnType().toString();
        case 1: // TABLE_COL_ARGUMENT
            Object result = arg.getInput();
            return (null != result) ? result.toString() : ""; //$NON-NLS-1$
        default:
            ObjBenchLogger.logWarning(ObjBenchPlugin.getResourceString("ArgsLabelProvider.unknownColumnIndex")); //$NON-NLS-1$
            return ""; //$NON-NLS-1$
        }
    }
}