/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Nov 24, 2004
 *
 * Contributors:
 *    Administrator - initial API and implementation
 * 
 * $Id: ObjectAdditionNotSupportedException.java,v 1.1 2006/01/23 16:07:41 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model;

/**
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public class ObjectAdditionNotSupportedException extends Exception {

    private String name;

    /**
     * @param name
     *            the name of the object unable to be added.
     */
    public ObjectAdditionNotSupportedException(String name) {
        this.name = name;
    }

    /**
     * @param name
     *            the name of the object unable to be added.
     * @param cause
     *            the root cause.
     */
    public ObjectAdditionNotSupportedException(String name, Throwable cause) {
        super(cause);
        this.name = name;
    }

    public String getName() {
        return name;
    }
}