/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Dec 10, 2004
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: ObjectBenchEvent.java,v 1.1 2006/01/23 16:07:41 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model;

import java.util.EventObject;

import edu.wpi.ebob.model.cm.IObject;


/**
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public class ObjectBenchEvent extends EventObject {
    private final String name;

    private final IObject obj;

    public ObjectBenchEvent(final String name, final IObject obj) {
        super(name);
        this.name = name;
        this.obj = obj;
    }

    public String getName() {
        return name;
    }

    public IObject getObject() {
        return obj;
    }
}