/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Dec 10, 2004
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: ObjectBenchListener.java,v 1.1 2006/01/23 16:07:41 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model;

import java.util.EventListener;
import edu.wpi.ebob.model.cm.*;

/**
 * The listener interface for receiving events describing changes to the Object
 * Bench.
 * 
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 * @see ObjectBenchEvent
 *  
 */
public interface ObjectBenchListener extends EventListener {

    /**
     * Invoked when an object has been added to the Object Bench.
     * 
     * @param event
     *            an event describing the object being added.
     */
    public void objectAdded(ObjectBenchEvent event);

    /**
     * Invoked when an object has been removed from the Object Bench.
     * 
     * @param event
     *            an event describing the object being removed.
     */
    public void objectRemoved(ObjectBenchEvent event);
    
    //TODO: 11/10/05 - BM 
    /**
     * Invoked when a method is called on the Object Bench.
     * 
     * @param method
     * 		Contains information about the invocation of the method.
     */
    public void methodCalled(MethodInvokeInfo method);
    //TODO: 11/10/05 - end 
}