/*******************************************************************************
 * Copyright (c) 2005 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Mar 22, 2005
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 *
 * $Id: ClassManagerEvent.java,v 1.1 2006/01/23 16:07:05 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model.cm;

import java.util.EventObject;

/**
 * @author Liam Morley
 *  
 */
public class ClassManagerEvent extends EventObject {
    private boolean oldFlag, newFlag;

    /**
     * Called only if the dirty flag has been changed.
     * 
     * @param source
     *            The project on which the Event initially occurred.
     * @param oldFlag
     *            the previous value of the dirty flag.
     * @param newFlag
     *            the new value of the dirty flag.
     */
    public ClassManagerEvent(Object source, boolean oldFlag, boolean newFlag) {
        super(source);
        this.oldFlag = oldFlag;
        this.newFlag = newFlag;
    }

    /**
     * @return Returns the newFlag.
     */
    public boolean getNewFlag() {
        return newFlag;
    }

    /**
     * @return Returns the oldFlag.
     */
    public boolean getOldFlag() {
        return oldFlag;
    }
}