/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Jan 29, 2005
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 	  Justin Braga - Changed getConstructors to throw CMException
 *	  Justin Braga - Added getMethods() 
 *
 * $Id: IClass.java,v 1.1 2006/01/23 16:07:05 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model.cm;

/**
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *
 */
public interface IClass extends IMember {
	public IClass getComponentType();
    public IConstructor getConstructor(IClass[] parameterTypes);
    public IConstructor[] getConstructors() throws RemoteException;
    public IField getField(String name);
    public IField getDeclaredField(String name);
    public IField[] getDeclaredFields() throws RemoteException;
    public IMethod getMethod(String name,IClass[] parameterTypes) throws RemoteException;
    public IMethod getDeclaredMethod(String name,IClass[] parameterTypes);
    public IMethod[] getMethods() throws RemoteException;
    public IClass getSuperclass();
    public IObject newInstance() throws RemoteException;
    public boolean isPrimitive();
    public boolean isArray();
}