/*******************************************************************************
 * Copyright (c) 2004, 2005 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Dec 28, 2004
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: OBPreferenceInitializer.java,v 1.1 2006/01/23 16:08:26 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

import edu.wpi.ebob.ObjBenchPlugin;

/**
 * Initializes the default preferences for the Object Bench plug-in. Referenced
 * in <code>plugin.xml</code> under the extension point
 * <code>"org.eclipse.core.runtime.preferences"</code>.
 * 
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 */
public class OBPreferenceInitializer extends AbstractPreferenceInitializer {
    /**
     * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
     */
    public void initializeDefaultPreferences() {
        IPreferenceStore store = ObjBenchPlugin.getDefault()
                .getPreferenceStore();
        store.setDefault(OBPreferencePage.P_CONFIRM_REMOVE, true);
        store.setDefault(OBPreferencePage.P_CONFIRM_INITIALIZE, true);
        store.setDefault(OBPreferencePage.P_FQ_CLASS_NAMES, false);
        store.setDefault(OBPreferencePage.P_BG_COLOR, "129,121,229"); //$NON-NLS-1$
        store.setDefault(OBPreferencePage.P_BG_COLOR_SELECTED, "121,182,229"); //$NON-NLS-1$
    }
}